Bug 990167 (CVE-2013-4928) - CVE-2013-4928 wireshark: Integer signedness error in the Bluetooth OBEX dissector (wnpa-sec-2013-46)
Summary: CVE-2013-4928 wireshark: Integer signedness error in the Bluetooth OBEX disse...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-4928
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130726,reported=2...
Depends On: 990189 990202 994914
Blocks: 990216
TreeView+ depends on / blocked
 
Reported: 2013-07-30 13:55 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:40 UTC (History)
5 users (show)

Fixed In Version: Wireshark 1.10.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-08 07:21:06 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-07-30 13:55:52 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4928 to the following vulnerability:

Integer signedness error in the dissect_headers function in epan/dissectors/packet-btobex.c in the Bluetooth OBEX dissector in Wireshark 1.10.x before 1.10.1 allows remote attackers to cause a denial of service (infinite loop) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-btobex.c?r1=50258&r2=50257&pathrev=50258
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=50258
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.10.1.html
[4] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8875
[5] https://www.wireshark.org/security/wnpa-sec-2013-46.html

Comment 1 Jan Lieskovsky 2013-07-30 14:37:12 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-18 [bug 990189]

Comment 2 Huzaifa S. Sidhpurwala 2013-08-08 07:21:06 UTC
Statement:

Not Vulnerable. This issue does not affect the version of wireshark, as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 4 Fedora Update System 2013-09-12 02:05:41 UTC
wireshark-1.10.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-09-28 00:14:14 UTC
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-10-03 01:05:13 UTC
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-12-19 07:12:14 UTC
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.